Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name: perl-Pod-Plainer
Version: 1.03
Release: alt2_4
Summary: Perl extension for converting Pod to old-style Pod

License: GPL+ or Artistic
URL: http://search.cpan.org/dist/Pod-Plainer/

Source0: http://search.cpan.org/CPAN/authors/id/R/RM/RMBARKER/Pod-Plainer-%{version}.tar.gz

BuildArch: noarch
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Pod/Parser.pm) perl(Test/More.pm) perl(Test/Pod/Coverage.pm)
Source44: import.info

%description
Pod::Plainer uses Pod::Parser which takes Pod with the (new) 'C<< .. >>'
constructs and returns the old(er) style with just 'C<>'; '<' and '>' are
replaced by 'E<lt>' and 'E<gt>'.
This can be used to pre-process Pod before using tools which do not
recognize the new style Pods.

%prep
%setup -q -n Pod-Plainer-%{version}

%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
#rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
ls -lZ $RPM_BUILD_ROOT/*
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc README Changes
# For noarch packages: vendorlib
%{perl_vendor_privlib}/Pod/Plainer.pm

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.03-alt2_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.03-alt2_3
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 1.03-alt2_1
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.03-alt1_1
- fc import

